// A ray trace source file for an architectural rendering of
// a buidling named "Outdoor Education Center".
// Original drawing done with AutoCAD R12
// Faces output to DXF and converted to .POV  file type
// By Terry Majewski 03/15/93

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "sky.inc"              // Custon sky include file
#include "mytex.inc"            // A couple custom textures and colors

#include "grade.inc"            // The ground around the building
#include "walls.inc"            // The building walls
#include "btrim.inc"            // The dark brown builing trim
#include "windows.inc"          // The window glass and brown trim
#include "walks.inc"            // The sidewalks
#include "deck.inc"             // The deck on right side of building
#include "flagpole.inc"         // Flagpole with american flag
#include "logo.inc"             // The logo and name on building
#include "postlt.inc"           // Landscape lights
#include "bench.inc"            // A couple benches along sidewalk

  camera {
// location <1462 -160 130> // Right Front perspective
// location <268 -610 65>  // alternate left front perspective
   location <128 -480 130>  // Left Front perspective
   direction <0.0 0.0 -1.1>
   up  <0.0  0.0  1.0>
   right <1.33333 0.0 0.0>
   sky <0.0 0.0 1.0>
   look_at <770 551 38>
  }


  object {
    light_source {<-1200 -1200 2000> color White}
  }

// Entry light
  object {
    light_source {<1012 393 84> color Gray40}
  }

object {
        plane {<0 0 -1> 96}
        texture{
        Grass2
        }
}


 // Roof
  object {
   union {
    triangle { <193.708252 660.036926 96.000000> <592.771790 660.036926 229.021164> <592.771790 332.036957 229.021164> }
    triangle { <193.708252 660.036926 96.000000> <193.708252 332.036957 96.000000> <592.771790 332.036957 229.021164> }
   }
    texture {
              image_map { 0 <1.0  0.0  -1.0> gif "shngwood.gif" }
             scale <30.0 30.0 30.0>
	    }
   }

  object {
   union {
    triangle { <592.771790 550.036926 180.666672> <592.771790 332.036957 96.000000> <1134.441406 332.036957 96.000000> }
    triangle { <592.771790 550.036926 180.666672> <1134.441406 550.036926 180.666672> <1134.441406 332.036957 96.000000> }
   }
    texture {
           image_map { 0 <1.0  0.0  -1.0> gif "shngwood.gif" }
           scale <30.0 30.0 30.0>
            }
  }

// Basement wall
  object {
   union {
    triangle { <193.708252 660.036926 -96.000000> <193.708252 660.036926 0.000000> <193.708252 332.036957 0.000000> }
    triangle { <193.708252 660.036926 -96.000000> <193.708252 332.036957 -96.000000> <193.708252 332.036957 0.000000> }
   }
    texture {
    color Gray80
            }
    }
 /*
  bounded_by {
    intersection {
      plane { <1.0  0.0  0.0> 1341.7258 }
      plane { <-1.0 0.0  0.0> 195.6453 }
      plane { <0.0  1.0  0.0> 913.0773 }
      plane { <0.0 -1.0  0.0> 635.3573 }
      plane { <0.0  0.0  1.0> 231.3114 }
      plane { <0.0  0.0 -1.0> 0.0000 }
    }
  }
*/
